# coding=utf-8
from __future__ import unicode_literals, absolute_import

from rpc.all import get_rpc_remote_invoker
from rpc.tool.log_tool import logging_exception


def get_params(strage_type):
    rpc_invoker = get_rpc_remote_invoker()
    try:
        result = rpc_invoker['doris/strategy/get'](
                strategy_name=strage_type
        ).unwrap()
        return result
    except:
        logging_exception()
        return {}
